Bug 124476 - rmchannel doesn't work
rmchannel doesn't work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Mihai Ibanescu
Fanny Augustin
:
Depends On:
Blocks: 119091
  Show dependency treegraph
 
Reported: 2004-05-26 17:00 EDT by Terry Jones
Modified: 2007-07-31 15:14 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn340sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 12:21:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback (870 bytes, text/plain)
2004-05-26 17:02 EDT, Terry Jones
no flags Details

  None (edit)
Description Terry Jones 2004-05-26 17:00:42 EDT
Description of problem:
Running rmchannel -c <channel name> fails to remove the channel.


Version-Release number of selected component (if applicable):
Version supplied with satellite 3.2

How reproducible:
Every time

Steps to Reproduce:
1. Select channel
2. run rmchannel -c <channel name>
3.
  
Actual results:
Traceback

Expected results:
Channel removed

Additional info:
Comment 1 Terry Jones 2004-05-26 17:02:41 EDT
Created attachment 100610 [details]
Traceback
Comment 2 Terry Jones 2004-05-26 17:03:53 EDT
For some reason it is trying to operate on the table rhnPathChannelMap
which does not exist in the database.
Comment 3 Mihai Ibanescu 2004-05-26 17:26:08 EDT
Ouch. Will fix.
Comment 4 Terry Jones 2004-05-27 11:13:40 EDT
Confirmed with Misa that the following is a fix:

Delete:

      ['rhnPathChannelMap', 'channel_id'],

from 

      /var/www/rhns/satellite_tools/satrm.py

Comment 5 Mihai Ibanescu 2004-05-28 13:19:53 EDT
Fix is in the next satellite version and backported to 3.3, 3.2 and
2.1 satellites
Comment 6 Fanny Augustin 2004-06-22 14:58:44 EDT
Works beautifully!

Note You need to log in before you can comment on or make changes to this bug.